phing-util-regex

# Class: RegexpEngine Source Location: /util/regexp/RegexpEngine.php
### Interface Overview
Contains some shared attributes and methods -- and some abstract methods with engine-specific implementations that sub-classes must override. #### Author(s): Hans Lellelid <hans@velum.net> #### Version: $Revision: 526 $ | ### Methods getIgnoreCase match matchAll replace setIgnoreCase
### Class Details [line 30] Contains some shared attributes and methods -- and some abstract methods with engine-specific implementations that sub-classes must override. #### Tags:
author: | Hans Lellelid <hans@velum.net>
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method getIgnoreCase [line 43]
`boolean getIgnoreCase( )`
Returns status of ignore case flag. #### Tags:
access: | public
[ Top ] ### method match [line 52]
`boolean match( string $pattern, string $source, &$matches, array $matches)`
Matches pattern against source string and sets the matches array. #### Tags:
return: | Success of matching operation.
#### Parameters:
string | $pattern | The regex pattern to match.
string | $source | The source string.
array | $matches | The array in which to store matches.
| &$matches |
[ Top ] ### method matchAll [line 61]
`boolean matchAll( string $pattern, string $source, &$matches, array $matches)`
Matches all patterns in source string and sets the matches array. #### Tags:
return: | Success of matching operation.
#### Parameters:
string | $pattern | The regex pattern to match.
string | $source | The source string.
array | $matches | The array in which to store matches.
| &$matches |
[ Top ] ### method replace [line 70]
`string replace( string $pattern, string $replace, string $source)`
Replaces $pattern with $replace in $source string. #### Tags:
return: | The replaced source string.
#### Parameters:
string | $pattern | The regex pattern to match.
string | $replace | The string with which to replace matches.
string | $source | The source string.
[ Top ] ### method setIgnoreCase [line 37]
`void setIgnoreCase( boolean $bit)`
Sets whether or not regex operation should ingore case. #### Tags:
access: | public
#### Parameters:
boolean | $bit |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:52 +0200 by phpDocumentor 1.4.3